<?php



include("asl.php");
include('../functions.php');

error_reporting(E_ALL);
ini_set('display_errors', '0');

?>



<!DOCTYPE HTML>
<html>

<head>
    <meta http-equiv="Content-Type" content="text/html ; charset=utf-8" />
    <meta http-equiv="content-type" content="text/html" />
    <meta name="author" content="persian" />

    <title>طراحی ربات ahp</title>


    <link rel="Stylesheet" type="text/css" href="style.css" />


    <style>
        @font-face {
            font-family: 'amir';
            src: url('font/BKoodakBold.ttf')format('truetype'),
                url('font/BKoodakBold.eot')format('eot'),
                url('font/BKoodakBold.woff')format('woff');

        }
    </style>


</head>

<body dir="rtl" align="center">
    <div align="center">
        <?php

        //   import_request_variables("p" , "a_");


        //old import
        function checkarray($summerarray, $mainkey, $mainarray)
        {
            if (in_array($mainkey, $summerarray)) {
                unset($mainarray["$mainkey"]);
                return $mainarray;
            } else {
                return "ok";
            }
        }

        $summerarray = array();
        $artest = $_POST;
        foreach ($artest as $postinfo) {

            $ar_mainkey = array_search($postinfo, $artest);
            if (checkarray($summerarray, $ar_mainkey, $artest) != "ok") {
                $artest = checkarray($summerarray, $ar_mainkey, $artest);
                $ar_mainkey = array_search($postinfo, $artest);
            }
            ${'a_' . $ar_mainkey} = $postinfo;
            $summerarray[] = $ar_mainkey;
        }
        //old import


        try {
            $conn = new PDO("mysql:host=$servername;dbname=$mydb", $username, $password,  array(PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"));
            // set the PDO error mode to exception

            $conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (PDOException $e) {
            echo "Connection failed: " . $e->getMessage();
        }




        $sql = "select * from admin";
        $stmt =   $conn->prepare($sql);
        $stmt->execute();

        $result = $stmt->setFetchMode(PDO::FETCH_ASSOC);
        $show = $stmt->fetch();

        $user = $show["user"];
        $pass = $show["pass"];


        $getpass = hash_hmac('md5', $a_pass, 'salt');


        if ($user == $a_user && $pass == $getpass) {
        }
        
//         else {





//             echo "<p style='color:green' >یوزرنیم و پسورد اشتباه
// </p>";




//             function redirect($url)
//             {
//                 if (!headers_sent()) {
//                     header('Location: ' . $url);
//                     exit;
//                 } else {
//                     echo '<script type="text/javascript">';
//                     echo 'window.location.href="' . $url . '";';
//                     echo '</script>';
//                     echo '<noscript>';
//                     echo '<meta http-equiv="refresh" content="0;url=' . $url . '" />';
//                     echo '</noscript>';
//                     exit;
//                 }
//             }

//             redirect("enter.php");
//             exit();
//         }















        ?>

        <br /><br />
        <h4 class="white">پنل مدیریتی ربات</h4>
        <div id="content" align="right">
            <div id="content-content">
                <table>
                    <tr>
                        <td><img class="radius" src="images/user.png" /></td>
                        <td class="gray" valign="bottom">خوش آمدید <?php print $userse; ?></td>
                    </tr>

                </table>



                <br />
                <br />
                <a href="https://telegram.me/" target="_blank">
                    <input class='button-blue' style="width:725px;" type="button" value="رفتن به داخل ربات" />
                </a>

                <br />
                <div id="fish">


                    <h5 class='gray'>◄ نمایش کاربران</h5>


                    <table>
                        <tr>

                            <th class='th'>اسم tele</th>
                            <th class='th'>یوزرنیم</th>
                            <th class='th'>چت ایدی</th>
                            <!-- <th class='th'>ایمیل</th> -->
                            <!-- <th class='th'>پیج</th> -->
                            <!-- <th class='th'>موجودی</th> -->
                            <th class='th'>اکانت</th>
                            <th class='th'>نام مستعار</th>


                        </tr>
                        <tr>





                            <?php

if(isset($_POST['tasvye'])){
    $sql = "delete from adduser  where mainchatid='" . $_POST['chatid'] . "'  ";
    $conn->query($sql);
    print("انجام شد");
}
if(isset($_POST['nickname'])){
$nickname = $_POST['nickname'];
$sql = "update user set nickname='$nickname'  where chatid='" . $_POST['chatid'] . "' ";
$conn->exec($sql);
    print("انجام شد");
}



                            $stmt = $conn->prepare("SELECT * FROM user");
                            $stmt->execute();

                            // set the resulting array to associative
                            $result = $stmt->setFetchMode(PDO::FETCH_ASSOC);

                            $k = $stmt->fetchAll();
                            $num = $stmt->rowCount();

                            print " <h5 class='gray'>◄ تعداد کاربران: $num</h5>";


                            
                            foreach ($k as $v) {
                                print "
                                    <tr>
                                        <td align='center' class='td'>" . $v["name"] . "</td>
                                        <td align='center' class='td'>" . $v["username"] . "</td>
                                        <td align='center' class='td'>" . $v["chatid"] . "</td>
                                ";
                            
                                $x = round(($v['expire_time'] - time()) / (3600 * 24));
                                if ($x <= 0) {
                                    $x = 0;
                                }
                            
                                print "
                                    <td align='center' class='td'>
                                        <form method='get' action='account.php'>
                                            <input type='hidden' name='chatid' value='" . $v["chatid"] . "' />
                                            <input type='submit' style='width:95%' class='font' value='مشاهده ی اکانت ها' />
                                        </form>
                                    </td>
                            
                                    <td align='center' class='td'>
                                        <form method='post' action='users.php'>
                                            <input type='hidden' name='chatid' value='" . $v["chatid"] . "' />
                                            <input type='text' name='nickname', value='". $v["nickname"] ."' class='font' placeholder='Enter value' />
                                            <input type='submit' value='Submit' class='font' />
                                        </form>
                                    </td>
                                </tr>
                                ";
                            }
                            
                            
                            

                            ?>










                        </tr>



                    </table>

















                    <hr />
                    <hr />
                    <hr />

                    <br />
                    <br />
                    <br />
                    <br />






                </div>



















                <br />
                <br />
            </div>
        </div>




        <a style="text-decoration:none ;" href="http://ahpbot.ir" target="_blank" class="gray">طراحی شده توسط ahpbot</a>
    </div>

    <?php
    $conn = null;
    ?>
</body>

</html>